Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# VertexDataBook Class Reference

A collection of VertexDataPages, which can be used to allocate new VertexDataBlock objects. More...

List of all members.

## Public Member Functions
| VertexDataBook (unsigned int block_size)
VertexDataBlock | alloc (unsigned int size)
| Allocates and returns a new VertexDataBuffer of the requested size.
unsigned int | countAllocatedSize (RamClass ram_class)
| Returns the total size of all bytes allocated within pages owned by this book that have the indicated ram class.
unsigned int | countAllocatedSize ()
| Returns the total size of all bytes allocated within pages owned by this book.
unsigned int | countTotalPageSize (RamClass ram_class)
| Returns the total size of all bytes owned by all pages owned by this book that have the indicated ram class.
unsigned int | countTotalPageSize ()
| Returns the total size of all bytes owned by all pages owned by this book.
int | getNumPages ()
| Returns the number of pages created for the book.
| saveToDisk ()
| Writes all pages to disk immediately, just in case they get evicted later.

## Detailed Description

A collection of VertexDataPages, which can be used to allocate new VertexDataBlock objects.

## Constructor & Destructor Documentation

VertexDataBook | ( | unsigned int | block_size | ) |

## Member Function Documentation

VertexDataBlock alloc | ( | unsigned int | size | ) |

Allocates and returns a new VertexDataBuffer of the requested size.

unsigned int countAllocatedSize | ( |  | ) |

Returns the total size of all bytes allocated within pages owned by this book.

unsigned int countAllocatedSize | ( | RamClass | ram_class | ) |

Returns the total size of all bytes allocated within pages owned by this book that have the indicated ram class.

unsigned int countTotalPageSize | ( | RamClass | ram_class | ) |

Returns the total size of all bytes owned by all pages owned by this book that have the indicated ram class.

unsigned int countTotalPageSize | ( |  | ) |

Returns the total size of all bytes owned by all pages owned by this book.

int getNumPages | ( |  | ) |

Returns the number of pages created for the book.

saveToDisk | ( |  | ) |

Writes all pages to disk immediately, just in case they get evicted later.

It makes sense to make this call just before taking down a loading screen, to minimize chugs from saving pages inadvertently later.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties